Subject: Re: bug#14582: 24.3.50.1; Strange overlay behavior, when window-start is inside an overlay.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Feb 2022 09:28:28 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 12 Feb 2022 01:25:44 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Once again, this option was intended to be used in relatively rare
> > situations.  I do not recommend to set it by default, especially if
> > the side effects annoy you.
> 
> Ok, finally I understand now that the display engine can't do what I had
> in mind.
> 
> IME folding can confuse the eye, and the vertical position of the cursor
> is one of the main visual anchors - I would want to avoid any scrolling
> involved to solve this bug.  Which would mean a fix is yet to be found.

I disagree.  The fix for the problems originally reported here was
found, and it so far solves all the use cases presented here that
involve either folding or selective-display.  The fix handles the
potentially confusing display when folding or selective-display
settings are changed so that the previous window-start point winds up
being hidden.

After the change in folding or selective-display, and as long as these
settings don't change, the window-start point is expected to be
visible at all times (due to how window redisplay is done, something
that wasn't changed by the changes in this bug report), and thus no
unexpected scrolling should happen.

The use of the new variable in all buffers is not recommended, and not
what it is supposed to support.  In particular, its use in Info
buffers may cause unexpected side-effects.  Since display in Info
buffers is fine without this variable, I don't see how what you get
there is any evidence of a missing fix.  A fix for what problem?

Bottom line: I think this bug should be closed, as the original issues
were all resolved.  If you disagree, I guess I'll let Lars close it in
about 10 years from now.